OwnCloud

De dieudo.fr
Aller à : navigation, rechercher

HowTo update Ubuntu 14.04 / php5-apcu to a owncloud supported version #14386

Source
https://github.com/owncloud/core/issues/14386

This is a note to #14273 (Use APCu only if available in version 4.0.6 and higher)

As Ubuntu 14.04 ships currently the php5-apcu version 4.0.2, you get according the merged PR above the Warning in OwnCloud. Ubuntu 14.10 has already release 4.0.6.

Because it may take some time that the version is updated for 14.04 but admins may want to use a stable version of php5-apcu, I thought it is maybe worth to document the procedure how to manually install version 4.0.6 or 4.0.7.

Check the version

sudo dpkg -s php5-apcu

First we have to uninstall the current version:

sudo apt-get remove php5-apcu

Then we need to install the correct working version: Do a listing of a version you want to install: http://mirrors.kernel.org/ubuntu/pool/universe/p/php-apcu/

cd /tmp

sudo wget http://mirrors.kernel.org/ubuntu/pool/universe/p/php-apcu/php5-apcu_4.0.6-1_amd64.deb

sudo dpkg -i php5-apcu_4.0.6-1_amd64.deb

sudo rm php5-apcu_4.0.6-1_amd64.deb

Restart php

This issue can be closed when version 4.0.6+ is officially available to Ubuntu 14.04